/* cc.h -- header information about wwbump crosscalls */

#ifndef __CC_H
#define __CC_H

#include <wwbump.h>
#include "wwbump_sk_c.h"
#include "wwbump_cc_c.h"


/* prototype for our crosscall.  Form in wwbump_cc_c.h */
ix_error getcnt(ix_base_t* bp, long* rv);


/* Called from ix_init and ix_fini respectively */
ix_error cc_init(struct wwbump *wwb);
ix_error cc_fini(struct wwbump *wwb);


/* Stores the actual count of web packets */
extern long Webcnt;


#endif /* __CC_H */
